樹心幽徑

« 20180707在ubuntu1604的VitualBox5.2裝windows XP | Main | 20180726rebuild kernel In ubuntu 1604 »

20180708在ubuntu裝video driver
2018/07/08,05:58

(1)treehrt@treehrt-fire:~/mysqlc$ sudo lshw -C video
[sudo] password for treehrt:
  *-display UNCLAIMED    
       description: VGA compatible controller
       product: Intel Corporation
       vendor: Intel Corporation
       physical id: 2
       bus info: pci@0000:00:02.0
       version: 00
       width: 64 bits
       clock: 33MHz
       capabilities: pciexpress msi pm vga_controller bus_master cap_list
       configuration: latency=0
       resources: memory:de000000-deffffff memory:c0000000-cfffffff ioport:f000(size=64) memory:c0000-dffff
treehrt@treehrt-fire:~/mysqlc$

(2)

Download the Intel graphics installer

 

(3)

treehrt@treehrt-fire:~$ sudo dpkg -i intel-graphics-update-tool_2.0.2_amd64.deb
選取了原先未選的套件 intel-graphics-update-tool。
(讀取資料庫 ... 目前共安裝了 460559 個檔案和目錄。)
準備解開 intel-graphics-update-tool_2.0.2_amd64.deb ...
解開 intel-graphics-update-tool (2.0.2) 中...
dpkg: 因相依問題,無法設定 intel-graphics-update-tool:
 intel-graphics-update-tool 相依於 ttf-ancient-fonts﹔然而:
  套件 ttf-ancient-fonts 未安裝。

dpkg: error processing package intel-graphics-update-tool (--install):
 相依問題 - 保留未設定
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu5.1) ...
Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20160824-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for mime-support (3.59ubuntu1) ...
處理時發生錯誤:
 intel-graphics-update-tool
treehrt@treehrt-fire:~$

 

(4)

treehrt@treehrt-fire:~$ sudo apt install ttf-ancient-fonts
正在讀取套件清單... 完成
正在重建相依關係         
正在讀取狀態資料... 完成
您也許得執行 'apt-get -f install' 以修正這些問題:
下列的套件有未滿足的相依關係:
 ttf-ancient-fonts : 相依關係: fonts-ancient-scripts 但它卻將不會被安裝
E: 未能滿足相依關係。請試著不指定套件來執行 'apt-get -f install'(或採取其它的解決方案)。

 

(5)

treehrt@treehrt-fire:~$ sudo apt install fonts-ancient-scripts

:

設定 fonts-ancient-scripts (2.59-1) ...
設定 intel-graphics-update-tool (2.0.2) ...

(6)

treehrt@treehrt-fire:~$ sudo apt install ttf-ancient-fonts

:

解開 ttf-ancient-fonts (2.59-1) 中...
設定 ttf-ancient-fonts (2.59-1) ...

(7)

treehrt@treehrt-fire:~$ sudo dpkg -i intel-graphics-update-tool_2.0.2_amd64.deb
(讀取資料庫 ... 目前共安裝了 460612 個檔案和目錄。)
準備解開 intel-graphics-update-tool_2.0.2_amd64.deb ...
Unpacking intel-graphics-update-tool (2.0.2) over (2.0.2) ...
設定 intel-graphics-update-tool (2.0.2) ...
Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu5.1) ...
Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20160824-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for mime-support (3.59ubuntu1) ...
treehrt@treehrt-fire:~$

 

(8)

sudo intel-graphics-update-tool &

L:

Checking if Intel graphics card available...
  • checking for i915 module in /sys/module
  • i915 module found
Checking if Intel graphics card available... OK
Retrieving information from 01.org...
  • fetching https://download.01.org/gfx/ilg-config.cfg
  • saving to /home/treehrt/.ilg-config
  • fetched 1626 bytes
  • fetched 9818 bytes
  • fetched 12301 bytes
  • looking up [Ubuntu xenial] configuration
Retrieving information from 01.org... OK
Checking distribution... OK
Checking kernel version... OK
Checking available repositories... OK
Checking package manager status... OK

:

Ensuring consistent system... OK
Listing packages... OK
Setting up repositories... OK
Installing packages...
    Updating package cache...
    Installing packages... OK
Cleaning up... OK
Listing packages... OK

:

Added:
    libegl1-mesa-drivers:amd64 (12.0.6-0ubuntu0.16.04.1)
    libgles1-mesa:all (18.0.5-0ubuntu0~16.04.1)
    libgles2-mesa:amd64 (18.0.5-0ubuntu0~16.04.1)
    libllvm6.0:amd64 (1:6.0-1ubuntu2~16.04.1)
    libllvm6.0:i386 (1:6.0-1ubuntu2~16.04.1)
    libva-drm1:amd64 (1.7.1-0intel1)
    libva-egl1:amd64 (1.7.1-0intel1)
    libva-glx1:amd64 (1.7.1-0intel1)
    libva-tpi1:amd64 (1.7.1-0intel1)
    vainfo:amd64 (1.7.1-0intel1)
    vdpau-va-driver:amd64 (0.7.4-5)
   
Upgraded:
    i965-va-driver:amd64 (from 1.7.0-1 to 1.7.1-0intel1)
    intel-gpu-tools:amd64 (from 1.14-1 to 1.15-1intel1)
    libcairo-gobject2:amd64 (from 1.14.6-1 to 1.15.2-0intel1)
    libcairo-script-interpreter2:amd64 (from 1.14.6-1 to 1.15.2-0intel1)
    libcairo2-dev:amd64 (from 1.14.6-1 to 1.15.2-0intel1)
    libcairo2:amd64 (from 1.14.6-1 to 1.15.2-0intel1)
    libdrm-amdgpu1:amd64 (from 2.4.83-1~16.04.1 to 2.4.91-2~16.04.1)
    libdrm-amdgpu1:i386 (from 2.4.83-1~16.04.1 to 2.4.91-2~16.04.1)
    libdrm-common:all (from 2.4.83-1~16.04.1 to 2.4.91-2~16.04.1)
    libdrm-dev:amd64 (from 2.4.83-1~16.04.1 to 2.4.91-2~16.04.1)
    libdrm-intel1:amd64 (from 2.4.83-1~16.04.1 to 2.4.91-2~16.04.1)
    libdrm-intel1:i386 (from 2.4.83-1~16.04.1 to 2.4.91-2~16.04.1)
    libdrm-nouveau2:amd64 (from 2.4.83-1~16.04.1 to 2.4.91-2~16.04.1)
    libdrm-nouveau2:i386 (from 2.4.83-1~16.04.1 to 2.4.91-2~16.04.1)
    libdrm-radeon1:amd64 (from 2.4.83-1~16.04.1 to 2.4.91-2~16.04.1)
    libdrm-radeon1:i386 (from 2.4.83-1~16.04.1 to 2.4.91-2~16.04.1)
    libdrm2:amd64 (from 2.4.83-1~16.04.1 to 2.4.91-2~16.04.1)
    libdrm2:i386 (from 2.4.83-1~16.04.1 to 2.4.91-2~16.04.1)
    libegl1-mesa-dev:amd64 (from 17.2.8-0ubuntu0~16.04.1 to 18.0.5-0ubuntu0~16.04.1)
    libegl1-mesa:amd64 (from 17.2.8-0ubuntu0~16.04.1 to 18.0.5-0ubuntu0~16.04.1)
    libgbm1:amd64 (from 17.2.8-0ubuntu0~16.04.1 to 18.0.5-0ubuntu0~16.04.1)
    libgl1-mesa-dri:amd64 (from 17.2.8-0ubuntu0~16.04.1 to 18.0.5-0ubuntu0~16.04.1)
    libgl1-mesa-dri:i386 (from 17.2.8-0ubuntu0~16.04.1 to 18.0.5-0ubuntu0~16.04.1)
    libgl1-mesa-glx:amd64 (from 17.2.8-0ubuntu0~16.04.1 to 18.0.5-0ubuntu0~16.04.1)
    libgl1-mesa-glx:i386 (from 17.2.8-0ubuntu0~16.04.1 to 18.0.5-0ubuntu0~16.04.1)
    libglapi-mesa:amd64 (from 17.2.8-0ubuntu0~16.04.1 to 18.0.5-0ubuntu0~16.04.1)
    libglapi-mesa:i386 (from 17.2.8-0ubuntu0~16.04.1 to 18.0.5-0ubuntu0~16.04.1)
    libosmesa6:amd64 (from 17.2.8-0ubuntu0~16.04.1 to 18.0.5-0ubuntu0~16.04.1)
    libosmesa6:i386 (from 17.2.8-0ubuntu0~16.04.1 to 18.0.5-0ubuntu0~16.04.1)
    libva-wayland1:amd64 (from 1.7.0-1ubuntu0.1 to 1.7.1-0intel1)
    libva-x11-1:amd64 (from 1.7.0-1ubuntu0.1 to 1.7.1-0intel1)
    libva1:amd64 (from 1.7.0-1ubuntu0.1 to 1.7.1-0intel1)
    libwayland-egl1-mesa:amd64 (from 17.2.8-0ubuntu0~16.04.1 to 18.0.5-0ubuntu0~16.04.1)
    libxatracker2:amd64 (from 17.0.7-0ubuntu0.16.04.1 to 18.0.5-0ubuntu0~16.04.1)
    va-driver-all:amd64 (from 1.7.0-1ubuntu0.1 to 1.7.1-0intel1)
  


(9)

reboot

(10)

Note: Please update to the latest Linux Kernel for motherboard chipset and components support.

(11)

treehrt@treehrt-fire:~$ dpkg -l 'nvidia*'
要求=U:未知/I:安裝/R:刪除/P:清除/H:保留
| 狀態=N:未安裝/I:已安裝/C:設定檔/U:已解開/F:半設定/H:半安裝/W:待觸發/T:未觸發
|/ 錯誤?=(無)/R:須重新安裝(狀態,錯誤:大寫=有問題)
||/ 名稱           版本         硬體平台     簡介
+++-==============-============-============-=================================
un  nvidia-common  <無>         <none>       (無相關介紹)
un  nvidia-legacy- <無>         <none>       (無相關介紹)
un  nvidia-libopen <無>         <none>       (無相關介紹)
un  nvidia-prime   <無>         <none>       (無相關介紹)
un  nvidia-vdpau-d <無>         <none>       (無相關介紹)
treehrt@treehrt-fire:~$

(12)下載並安裝nvidia 的CUDA Toolkit 8.0 - Feb 2017

treehrt@treehrt-fire:~$ sudo dpkg -i cuda-repo-ubuntu1604-8-0-local-ga2_8.0.61-1_amd64.deb
選取了原先未選的套件 cuda-repo-ubuntu1604-8-0-local-ga2。
(讀取資料庫 ... 目前共安裝了 460682 個檔案和目錄。)
準備解開 cuda-repo-ubuntu1604-8-0-local-ga2_8.0.61-1_amd64.deb ...
解開 cuda-repo-ubuntu1604-8-0-local-ga2 (8.0.61-1) 中...
設定 cuda-repo-ubuntu1604-8-0-local-ga2 (8.0.61-1) ...
OK
treehrt@treeh

 

treehrt@treehrt-fire:~$ sudo apt-get update

 

treehrt@treehrt-fire:~$ sudo dpkg -i cuda-repo-ubuntu1604-8-0-local-cublas-performance-update_8.0.61-1_amd64.deb

 

treehrt@treehrt-fire:~$ sudo vi /etc/modprobe.d/blacklist-nouveau.conf
treehrt@treehrt-fire:~$ cat /etc/modprobe.d/blacklist-nouveau.conf
blacklist nouveau
options nouveau modeset=0
treehrt@treehrt-fire:~$

 

treehrt@treehrt-fire:~$ sudo update-initramfs -u
update-initramfs: Generating /boot/initrd.img-4.13.0-45-generic
treehrt@treehrt-fire:~$

 

(13)

treehrt@treehrt-fire:~$ lspci | grep -i nvidia
treehrt@treehrt-fire:~$  uname -m && cat /etc/*release
x86_64
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=16.04
DISTRIB_CODENAME=xenial
DISTRIB_DESCRIPTION="Ubuntu 16.04.3 LTS"
NAME="Ubuntu"
VERSION="16.04.3 LTS (Xenial Xerus)"
ID=ubuntu
ID_LIKE=debian
PRETTY_NAME="Ubuntu 16.04.3 LTS"
VERSION_ID="16.04"
HOME_URL="http://www.ubuntu.com/"
SUPPORT_URL="http://help.ubuntu.com/"
BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/"
VERSION_CODENAME=xenial
UBUNTU_CODENAME=xenial
treehrt@treehrt-fire:~$

treehrt@treehrt-fire:~$ gcc -v
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-linux-gnu/5/lto-wrapper
Target: x86_64-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Ubuntu 5.4.0-6ubuntu1~16.04.10' --with-bugurl=file:///usr/share/doc/gcc-5/README.Bugs --enable-languages=c,ada,c++,java,go,d,fortran,objc,obj-c++ --prefix=/usr --program-suffix=-5 --enable-shared --enable-linker-build-id --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --libdir=/usr/lib --enable-nls --with-sysroot=/ --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdcxx-time=yes --with-default-libstdcxx-abi=new --enable-gnu-unique-object --disable-vtable-verify --enable-libmpx --enable-plugin --with-system-zlib --disable-browser-plugin --enable-java-awt=gtk --enable-gtk-cairo --with-java-home=/usr/lib/jvm/java-1.5.0-gcj-5-amd64/jre --enable-java-home --with-jvm-root-dir=/usr/lib/jvm/java-1.5.0-gcj-5-amd64 --with-jvm-jar-dir=/usr/lib/jvm-exports/java-1.5.0-gcj-5-amd64 --with-arch-directory=amd64 --with-ecj-jar=/usr/share/java/eclipse-ecj.jar --enable-objc-gc --enable-multiarch --disable-werror --with-arch-32=i686 --with-abi=m64 --with-multilib-list=m32,m64,mx32 --enable-multilib --with-tune=generic --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu
Thread model: posix
gcc version 5.4.0 20160609 (Ubuntu 5.4.0-6ubuntu1~16.04.10)


treehrt@treehrt-fire:~$ uname -r
4.13.0-45-generic

treehrt@treehrt-fire:~$ sudo apt-get install linux-headers-$(uname -r)
正在讀取套件清單... 完成
正在重建相依關係         
正在讀取狀態資料... 完成
linux-headers-4.13.0-45-generic is already the newest version (4.13.0-45.50~16.04.1).
linux-headers-4.13.0-45-generic 被設定為手動安裝。

treehrt@treehrt-fire:~$

 

迴響

 
Accessible and Valid XHTML 1.0 Strict and CSS Powered by LifeType